<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This is class renders Yes/No responses and forms.
 *
 * @package    OSB
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class StaticList_YesNo extends StaticList {
	protected function _table() {
		return array(
			0=>_('No'),
			1=>_('Yes'),
		);
	}

	public static function get($value,$format=FALSE) {
		if (! $value)
			$value = 0;

		return $format ? View::factory(Config::theme().'/label/bool')
			->set('label',$value ? 'label-success' : '')
			->set('column',self::factory()->_get($value)) : $value;
	}
}
?>
